- Qt 5.15
- Qt Multimedia
- C++ Classes
- QCameraInfoControl
- Qt 5.15.11 Reference Documentation

# QCameraInfoControl Class

The QCameraInfoControl class provides a camera info media control. More...

Header: | #include <QCameraInfoControl>
qmake: | QT += multimedia
Since: | Qt 5.3
Inherits: | QMediaControl

This class is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This class was introduced in Qt 5.3.

- List of all members, including inherited members

## Public Functions

virtual | ~QCameraInfoControl()
virtual int | cameraOrientation(const QString &deviceName) const = 0
virtual QCamera::Position | cameraPosition(const QString &deviceName) const = 0

## Protected Functions

| QCameraInfoControl(QObject *parent = nullptr)

## Detailed Description

The QCameraInfoControl class provides information about the camera devices available on the system.

The interface name of QCameraInfoControl is `org.qt-project.qt.camerainfocontrol/5.3` as defined in QCameraInfoControl_iid.

## Member Function Documentation

### `[protected]` QCameraInfoControl::QCameraInfoControl(QObject *parent = nullptr)

Constructs a camera info control with the given parent.

### `[virtual]` QCameraInfoControl::~QCameraInfoControl()

Destroys a camera info control.

### `[pure virtual]` int QCameraInfoControl::cameraOrientation(const QString &deviceName) const

Returns the physical orientation of the sensor for the camera named deviceName.

The value is the orientation angle (clockwise, in steps of 90 degrees) of the camera sensor in relation to the display in its natural orientation.

### `[pure virtual]` QCamera::Position QCameraInfoControl::cameraPosition(const QString &deviceName) const

Returns the physical position of the camera named deviceName on the hardware system.